cancel
Showing results for 
Search instead for 
Did you mean: 

WICED Studio Wi-Fi Combo

Anonymous
Not applicable

Hi,

I was wondering if anybody has been able to connect to a server using TLS 1.1? It says in WICED WiFi FAQ (WICED Wi-Fi FAQ) that the SDK supports up to TLS 1.1 but I have been unable to connect using TLS 1.1. I have been able to connect to it using TLS 1.0.   The server I am trying to connect to supports TLS 1.0 and TLS 1.1.

Thanks in advance.

Genu

0 Likes
1 Solution
GregG_16
Employee

I understand the WICED SDK does not support TLS1.1, but the next version will support TLS1.2.

View solution in original post

7 Replies
Anonymous
Not applicable

I Believe WiConnect is using TLS 1.1 while it talks to its over the air update server

jasonrc

0 Likes
Anonymous
Not applicable

Hi ndutton,

Thanks for the reply. I am a bit puzzled as to why it will not communicate to the server using TSL 1.1. I am trying to connect to the server using the following pseudo-code

// initialize the root certificate

wiced_tls_init_root_ca_certificates(cert);

// create a TCP socket

wiced_tcp_create_socket(&tcp_client_socket, WICED_STA_INTERFACE)

0 Likes
Anonymous
Not applicable

Unfortunatley i dont know the detail as to how our engineers got it working, i only know that they claim WiConnect uses 1.1

Anonymous
Not applicable

The previous reply got posted before I could complete it. My code is as follows:

// initialize the root certificate

wiced_tls_init_root_ca_certificates(cert);

// create a TCP socket

wiced_tcp_create_socket(&tcp_client_socket, WICED_STA_INTERFACE);

// create a simple contest and add it to the socket

wiced_tls_init_simple_context(&context);

wiced_tcp_enable_tls(&tcp_client_socket, &context);

// connect it to the TCP server

wiced_tcp_connect( &tcp_client_socket, &server_ip_address, port, 10000);

I also used the program “Wireshark” to check the SSL packets and it looks like during the SSL handshake process the module sends a “Client Hello” packet with the highest supported version of 3.1 (TLS 1.0). Shouldn’t it send 3.2 (TLS 1.1) instead to the server?

Thanks in advance

Genu

0 Likes
GregG_16
Employee

I understand the WICED SDK does not support TLS1.1, but the next version will support TLS1.2.

View solution in original post

Anonymous
Not applicable

Thanks for the reply. I am looking forward to the new SDK with TLS 1.2. Do you know when it will be released?

GregG_16
Employee

We can't speculate here, but we will notify the Forum.

0 Likes